import { Decoder, Encoder } from '@iotize/common/converter/api';
export interface CryptoFrameIdGenerator {
    next(): number;
}
/**
 *
 */
export declare class CryptedFrameConverter implements Encoder<Uint8Array, Uint8Array>, Decoder<Uint8Array, Uint8Array> {
    frameIdGenerator: CryptoFrameIdGenerator;
    constructor(frameIdGenerator: CryptoFrameIdGenerator);
    encode(data: Uint8Array): Uint8Array;
    decode(frame: Uint8Array): Uint8Array;
}
